import Vue from 'vue'
import VueRouter from 'vue-router'

import VuePapaParse from 'vue-papa-parse'
Vue.use(VuePapaParse)

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Home',
    component: () => import(/* webpackChunkName: "home" */ '../views/Home.vue')
  },
  {
    path: '/about',
    name: 'About',
    component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  },
  {
    path: '/idl',
    name: 'Infodisplay Lehrer',
    component: () => import(/* webpackChunkName: "idl" */ '../views/InfodisplayLehrer.vue')
  },
  {
    path: '/ids',
    name: 'Infodisplay Schueler',
    component: () => import(/* webpackChunkName: "ids" */ '../views/InfodisplaySchueler.vue')
  }
]

const router = new VueRouter({
  routes
})

export default router
